<solidify-ribbon></solidify-ribbon>

<div *ngIf="isMaintenanceModeActive"
     class="maintenance-mode"
>
  {{labelTranslateEnum.maintenanceInProgress | translate}}
</div>

<ng-template [ngIf]="(isServerOfflineObs | async) || (isUnableToLoadAppObs | async)">
  <router-outlet></router-outlet>
</ng-template>

<div class="app-wrapper">
  <div class="header">
    @if (ssrUtil.isBrowser) {
      <solidify-global-banner *ngIf="(globalBannerObs | async) as globalBanner"
                              [globalBanner]="globalBanner"
                              [isSameLanguage]="labelUtil.isSameLanguage"
      ></solidify-global-banner>
    }

    <dlcm-main-toolbar (loginChange)="initiateNewLogin()"
                       (logoutChange)="logout()"
                       (navigateChange)="navigate($event)"
                       (searchChange)="search($event)"
                       (languageChange)="languageChange($event)"
                       (themeChange)="themeChange($event)"
                       (darkModeChange)="darkThemeChange($event)"
                       (userGuideOpen)="openUserGuideSidebar()"
                       [language]="appLanguageObs | async"
                       [currentPath]="currentModule"
                       [displayCart]="displayCart"
                       [isHomePage]="isHomePage"
                       [logged]="isLoggedObs | async"
                       [logo]="logo"
                       [frontendVersion]="frontendVersionObs | async"
                       [numberArchiveInCart]="localStorageHelper.getListItem(localStorageEnum.cart).length"
                       [numberMyOrderReadyNew]="localStorageHelper.getListItem(localStorageEnum.newOrderAvailable).length"
                       [numberPendingRequestNotificationInbox]="numberPendingRequestNotificationInboxObs | async"
                       [photoUser]="currentPhotoUserObs | async"
                       [theme]="themeObs | async"
                       [darkMode]="darkModeObs | async"
                       [userRoles]="userRolesObs | async"
                       [user]="currentUserObs | async"
    >
    </dlcm-main-toolbar>

    <div [class.hide]="isHomePage"
         class="breadcrumb-banner-wrapper"
    >
      <solidify-breadcrumb (navigateChange)="navigate($event)"
                           class="breadcrumb"
      ></solidify-breadcrumb>
      <solidify-banner [class]="colorBannerObs | async"
                       [conditionToDisplay]="displayBannerObs | async"
                       [messageToTranslate]="messageBannerObs | async"
                       [parameters]="parametersObs | async"
      ></solidify-banner>
    </div>
  </div>

  <div #main
       class="body"
       (scroll)="scrollHandler($event)"
  >
    <main cdkTrapFocus
          class="content mat-typography"
    >
      <div [solidifyFocusFirstElement]="true"
           [tourAnchor]="tourEnum.commonContent"
           [class.ignore-grid]="ignoreGrid"
           class="router-outlet-wrapper"
      >
        <router-outlet></router-outlet>
      </div>
    </main>
  </div>

  <dlcm-footer-container class="footer"
                         [updateVersion]="appStatusService.updateAvailable | async"
                         (updateChange)="appStatusService.reloadApp()"
  ></dlcm-footer-container>
</div>

<solidify-cookie-consent-banner-container *ngIf="ssrUtil.isBrowser"></solidify-cookie-consent-banner-container>
<solidify-cookie-consent-sidebar-container></solidify-cookie-consent-sidebar-container>

<dlcm-shared-userguide-sidebar-container></dlcm-shared-userguide-sidebar-container>

<tour-step-template>
  <ng-template let-step="step">
    <solidify-tour-step [step]="step"
                        [tourService]="tourService"
    ></solidify-tour-step>
  </ng-template>
</tour-step-template>
